org.w3c.css.sac

## Interface ElementSelector

All Superinterfaces:
  Selector, SimpleSelector

    public interface ElementSelector
    extends SimpleSelector

See Also:
  `Selector.SAC_ELEMENT_NODE_SELECTOR`

### Field Summary

### Fields inherited from interface org.w3c.css.sac.Selector

`SAC_ANY_NODE_SELECTOR, SAC_CDATA_SECTION_NODE_SELECTOR, SAC_CHILD_SELECTOR, SAC_COMMENT_NODE_SELECTOR, SAC_CONDITIONAL_SELECTOR, SAC_DESCENDANT_SELECTOR, SAC_DIRECT_ADJACENT_SELECTOR, SAC_ELEMENT_NODE_SELECTOR, SAC_NEGATIVE_SELECTOR, SAC_PROCESSING_INSTRUCTION_NODE_SELECTOR, SAC_PSEUDO_ELEMENT_SELECTOR, SAC_ROOT_NODE_SELECTOR, SAC_TEXT_NODE_SELECTOR`

### Method Summary

All Methods Instance Methods Abstract Methods
`java.lang.String` `getLocalName()` Returns the local part of the qualified name of this element.
`java.lang.String` `getNamespaceURI()` Returns the namespace URI of this element selector.

### Methods inherited from interface org.w3c.css.sac.Selector

`getSelectorType`

### Method Detail

#### getNamespaceURI

    java.lang.String getNamespaceURI()

Returns the namespace URI of this element selector.

`NULL` if this element selector can match any namespace.

#### getLocalName

    java.lang.String getLocalName()

Returns the local part of the qualified name of this element.

`NULL` if this element selector can match any element.